# $Revision: 1.8 $, $Date: 2009/06/15 11:40:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Persistent
Summary:	CGI::Persistent - transparent state persistence for CGI applications
Summary(pl.UTF-8):	CGI::Persistent - przezroczyste zachowywanie stanu dla aplikacji CGI
Name:		perl-CGI-Persistent
Version:	1.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b91c3cabb9c5e2029522ad8937959a19
BuildRequires:	perl-CGI
BuildRequires:	perl-Persistence-Object-Simple
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTTP is a stateless protocol; a HTTP server closes connection after
serving an object. It retains no memory of the request details and
doesn't relate subsequent requests with what it has already served.

CGI::Persistent solves this problem by introducing persistent CGI
sessions that store their state data on the server side. When a new
session starts, CGI::Persistent automatically generates a unique state
identification string and associates it with a persistent object on
the server. The identification string is used in URLs or forms to
refer to the particular session. Request attributes are transparently
committed to the associated object and the object data is bound to the
query.

CGI::Persistent is derived from CGI.pm. CGI.pm methods have been
overridden as appropriate. Very few new methods have been added.

%description -l pl.UTF-8
HTTP jest protokołem bezstanowym; serwer HTTP zamyka połączenie po
podaniu obiektu. Nie przechowuje w pamięci szczegółów dotyczących
żądań i nie wiąże następnych żądań z tym, co już zostało podane.

CGI::Persistent rozwiązuje ten problem wprowadzając trwałe sesje CGI
przechowujące dane o stanie po stronie serwera. Kiedy zaczyna się nowa
sesja, CGI::Persistent automatycznie generuje unikalny łańcuch
identyfikujący stan i wiąże go z trwałym obiektem na serwerze. Łańcuch
identyfikujący jest używany w URL-ach lub formularzach, aby wskazywał
na konkretną sesję. Atrybuty żądania są w sposób przezroczysty
dodawane do powiązanego obiektu, a dane obiektu są przypisane do
zapytania.

CGI::Persistent wywodzi się z CGI.pm, którego metody zostały
odpowiednio przykryte. Dodano tylko kilka nowych metod.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/CGI/Persistent.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Persistent.spec,v $
Revision 1.8  2009/06/15 11:40:28  amateja
- updated to 1.11

Revision 1.7  2008/07/27 22:50:16  arekm
- release 2

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2005/05/29 22:48:54  petec
- up to 1.00

Revision 1.3  2004/11/03 22:30:08  paladine
- formatting

Revision 1.2  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.1  2004/01/08 14:24:49  qboosh
- new

